// HalloWeltGUI1.java                           MM 2009

import java.awt.*;                             // Color
import javax.swing.*;          //JFrame, JPanel, JLabel

/**
 * Ausgabe des Schriftzugs "Hallo Welt!",
 * Erzeugen eines Fensters mit Text.
 */
public class HalloWeltGUI1
  extends JFrame
{
/* ------------------------------------------------- */
/**
 * Konstruktor, baut das Fenster auf.
 * @param titel Titelleistentext
 * @param farbe Fensterhintergrundfarbe
 */
  public HalloWeltGUI1( String titel, Color farbe)
  {
// Titelleiste
    super( titel);

// Darstellungsbereich
    JPanel contentPane = new JPanel();         // Panel
    contentPane.setBackground( farbe);
                                               // Label
    JLabel lbHallo = new JLabel( "Hallo Welt!");
    contentPane.add( lbHallo);

// Fenster
                           // Fensterinhalt uebernehmen
    setContentPane( contentPane);
    pack();              // Anpassen der Fenstergroesse
                              // Beenden durch x-Button
    setDefaultCloseOperation( JFrame.EXIT_ON_CLOSE);
    setVisible( true);                // Sichtbarmachen
  }

/* ------------------------------------------------- */
/**
 * Hauptmethode, erzeugt Fenster mit Schrift.
 */
  public static void main( String args[])
  {
    HalloWeltGUI1 hallo = 
      new HalloWeltGUI1( "Hallo Welt", Color.green);
  }
}
